import re, os

with open('11.gbl', 'r') as f:
	lines = f.readlines()

def get_x_value(x_line):
	reg = re.compile('X([0-9]+).*')
	match = reg.match(x_line)
	return int(match.group(1))

def flip_x_statement(x_line, min_x, max_x):
	reg = re.compile('X([0-9]+)(.*)')
	match = reg.match(x_line)
	x = int(match.group(1))
	rest = match.group(2)
	flipped_x = max_x - (x - min_x)
	return format("X%i%s" % (flipped_x, rest))

min_x = 19999999
max_x = 0

for line in lines:
	if line.startswith('X'):
		# format: X03280D01*, X02565Y01535D02*
		max_x = max(max_x, get_x_value(line))
		min_x = min(min_x, get_x_value(line))

print('maximum x:', max_x)
print('minimum x:', min_x)

# OK i guess we can flip it...
# target_x = max_x - (x - min_x)

with open('11-flipped.gbl', 'w') as f:
	for line in lines:
		if line.startswith('X'):
			f.write(flip_x_statement(line, min_x, max_x))
		else:
			f.write(line.strip())
		f.write(os.linesep)
